SDL_hid_get_report_descriptor(3)

NAME
SDL_hid_get_report_descriptor - Get a report descriptor from a HID device.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_hid_get_report_descriptor(SDL_hid_device *dev, unsigned char *buf, size_t buf_size);

DESCRIPTION
User has to provide a preallocated buffer where descriptor will be copied to. The recommended size for a preallocated buffer is 4096 bytes.

FUNCTION PARAMETERS

dev A device handle returned from SDL_hid_open ().

buf The buffer to copy descriptor into.

buf_size
    The size of the buffer in bytes.

RETURN VALUE
Returns the number of bytes actually copied, or -1 on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.